    # File lib/rbot/plugins.rb, line 322
        def register(cmd, opts={})
          raise ArgumentError, "Second argument must be a hash!" unless opts.kind_of?(Hash)
          who = @manager.who_handles?(cmd)
          if who
            raise "Command #{cmd} is already handled by #{who.botmodule_class} #{who}" if who != self
            return
          end
          if opts.has_key?(:auth)
            @manager.register(self, cmd, opts[:auth])
          else
            @manager.register(self, cmd, propose_default_path(cmd))
          end
          @botmodule_triggers << cmd unless opts.fetch(:hidden, false)
        end